Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160972 - Bad: Package Manager crash whith --isodir or --tree options
Summary: Bad: Package Manager crash whith --isodir or --tree options
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-packages
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-19 11:51 UTC by Marco
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-21 20:02:32 UTC


Attachments (Terms of Use)

Description Marco 2005-06-19 11:51:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; it-IT; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When I use --isodir or --tree options to the system-config-packages command, Package Manager crash with py errors.

Version-Release number of selected component (if applicable):
system-config-packages-1.2.25-1

How reproducible:
Always

Steps to Reproduce:
1.system-config-packages --isodir=<path to 4 cd iso>
2.
3.
  

Actual Results:  Traceback (most recent call last):
  File "/usr/share/system-config-packages/MainWindow.py", line 158, in ?
    im = get_method(args)
  File "/usr/share/system-config-packages/config.py", line 57, in get_method
    return method.LoopbackIsoInstallMethod(isodir)
  File "/usr/share/system-config-packages/method.py", line 343, in __init__
    self.discImages = findIsoImages(tree)
  File "/usr/share/system-config-packages/method.py", line 896, in findIsoImages
    log("The ISO image %s has a size which is not "
  File "/usr/lib/python2.4/site-packages/rhpl/log.py", line 47, in __call__
    self.handler (format % args)
TypeError: not enough arguments for format string


Expected Results:  Open the graphical tool

Additional info:

Comment 1 Jeremy Katz 2005-09-21 20:02:32 UTC
Fixed in CVS


Note You need to log in before you can comment on or make changes to this bug.